* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

html {
  width: 100%;
  height: 100%;
  font-size: 18px;
}

body {
  width: 100%;
  min-height: 100%;
  display: flex;
  flex-direction: column;
  align-items: center;
}

.intro {
  width: 100%;
  background: rgba(100, 100, 100, 0.1);
  position: relative;
  align-items: center;
  text-align: center;
}

.popout-video {
  width: 100%;
  position: relative;

  &--popout {
    position: fixed;
    margin-left: 50px;
    top: 0;
    width: 60%;
    max-width: 100%;
    height: auto;
    animation: popin 0.5s ease-in-out forwards;

    @keyframes popin {
      to {
        top: 0;
      }
    }

    h1 {
      text-align: center;
      margin-top: 80px;
    }

    &:hover {
      .popout-video__controls {
        opacity: 1;
      }
    }
  }

  video {
    width: 100%;
    vertical-align: middle;
  }

  &__controls {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    padding: 0.5rem;
    background: rgb(0, 0, 0);
    background: linear-gradient(
      0deg,
      rgba(0, 0, 0, 0) 0%,
      rgba(0, 0, 0, 1) 100%
    );
    z-index: 1;
    display: flex;
    justify-content: flex-end;
    opacity: 0;
    transition: opacity 0.25s ease;
    pointer-events: none;

    .close-video {
      width: 1.77rem;
      height: 1.7rem;
      cursor: pointer;
      display: flex;
      justify-content: center;
      align-items: center;
      pointer-events: all;
      border-radius: 50%;
      transition: background 0.25s ease;

      &:hover {
        background: rgba(50, 50, 50, 0.4);
      }

      &:before,
      &:after {
        content: "";
        position: absolute;
        margin: auto;
        width: 1rem;
        height: 2px;
        background: #fff;
      }

      &:before {
        transform: rotate(45deg);
      }

      &:after {
        transform: rotate(-45deg);
      }
    }
  }
}

.content {
  padding: 4rem 1rem;
  margin-top: 180px;
  max-width: 700px;
  float: right;

  span {
    display: block;
    width: 100%;
    text-align: center;
    color: rgba(0, 0, 0, 0.4);
  }
}

h1 {
  text-align: center;
  margin: 100px;
  color: white;
  font-family: "Expletus Sans", cursive;
  font-size: 60px;
  text-shadow: 3px 5px 5px #0000004f;
}

h2 {
  margin: 40px;
  text-align: center;
  font-size: 30px !important;
  font-weight: 600;
  font-family: "Dosis", sans-serif;
  color: white;
}

.p {
  text-align: center;
  color: rgb(1, 49, 49);
  margin: 40px;
  font-size: 22px;
  width: 80%;
  margin: auto;
}

//VIDEO

.csslider {
  -moz-perspective: 1300px;
  -ms-perspective: 1300px;
  -webkit-perspective: 1300px;
  perspective: 1300px;
  display: inline-block;
  position: relative;
  text-align: left;
  margin-bottom: 22px;
}
.csslider > input {
  display: none;
}
.csslider > input:nth-of-type(10):checked ~ ul li:first-of-type {
  margin-left: -900%;
}
.csslider > input:nth-of-type(9):checked ~ ul li:first-of-type {
  margin-left: -800%;
}
.csslider > input:nth-of-type(8):checked ~ ul li:first-of-type {
  margin-left: -700%;
}
.csslider > input:nth-of-type(7):checked ~ ul li:first-of-type {
  margin-left: -600%;
}
.csslider > input:nth-of-type(6):checked ~ ul li:first-of-type {
  margin-left: -500%;
}
.csslider > input:nth-of-type(5):checked ~ ul li:first-of-type {
  margin-left: -400%;
}
.csslider > input:nth-of-type(4):checked ~ ul li:first-of-type {
  margin-left: -300%;
}
.csslider > input:nth-of-type(3):checked ~ ul li:first-of-type {
  margin-left: -200%;
}
.csslider > input:nth-of-type(2):checked ~ ul li:first-of-type {
  margin-left: -100%;
}
.csslider > input:nth-of-type(1):checked ~ ul li:first-of-type {
  margin-left: 0%;
}
.csslider > ul {
  position: relative;
  width: 1500px;
  height: 700px;
  z-index: 1;
  font-size: 0;
  line-height: 0;
  margin: 30px auto;
  padding: 0;
  overflow: hidden;
  white-space: nowrap;
  -moz-box-sizing: border-box;
  -webkit-box-sizing: border-box;
  box-sizing: border-box;
}
.csslider > ul > li {
  position: relative;
  display: inline-block;
  width: 100%;
  height: 100%;
  overflow: hidden;
  font-size: 15px;
  font-size: initial;
  line-height: normal;
  -moz-transition: all 0.5s cubic-bezier(0.4, 1.3, 0.65, 1);
  -o-transition: all 0.5s ease-out;
  -webkit-transition: all 0.5s cubic-bezier(0.4, 1.3, 0.65, 1);
  transition: all 0.5s cubic-bezier(0.4, 1.3, 0.65, 1);
  vertical-align: top;
  -moz-box-sizing: border-box;
  -webkit-box-sizing: border-box;
  box-sizing: border-box;
  white-space: normal;
}
.csslider > .navigation {
  position: absolute;
  bottom: -8px;
  left: 50%;
  z-index: 10;
  margin-bottom: -10px;
  font-size: 0;
  line-height: 0;
  text-align: center;
  -webkit-touch-callout: none;
  -webkit-user-select: none;
  -khtml-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
  user-select: none;
}
.csslider > .navigation > div {
  margin-left: -100%;
}
.csslider > .navigation label {
  position: relative;
  display: inline-block;
  cursor: pointer;
  border-radius: 50%;
  margin: 0 4px;
  padding: 4px;
  background: #3a3a3a;
}
.csslider > .navigation label:hover:after {
  opacity: 1;
}
.csslider > .navigation label:after {
  content: "";
  position: absolute;
  left: 50%;
  top: 50%;
  margin-left: -6px;
  margin-top: -6px;
  background: orange;
  border-radius: 50%;
  padding: 6px;
  opacity: 0;
}
.csslider > .arrows {
  -webkit-touch-callout: none;
  -webkit-user-select: none;
  -khtml-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
  user-select: none;
}
.csslider.inside .navigation {
  bottom: 10px;
  margin-bottom: 10px;
}
.csslider
  > input:nth-of-type(1):checked
  ~ .navigation
  label:nth-of-type(1):after,
.csslider
  > input:nth-of-type(2):checked
  ~ .navigation
  label:nth-of-type(2):after,
.csslider
  > input:nth-of-type(3):checked
  ~ .navigation
  label:nth-of-type(3):after,
.csslider
  > input:nth-of-type(4):checked
  ~ .navigation
  label:nth-of-type(4):after,
.csslider
  > input:nth-of-type(5):checked
  ~ .navigation
  label:nth-of-type(5):after,
.csslider
  > input:nth-of-type(6):checked
  ~ .navigation
  label:nth-of-type(6):after,
.csslider
  > input:nth-of-type(7):checked
  ~ .navigation
  label:nth-of-type(7):after,
.csslider
  > input:nth-of-type(8):checked
  ~ .navigation
  label:nth-of-type(8):after,
.csslider
  > input:nth-of-type(9):checked
  ~ .navigation
  label:nth-of-type(9):after,
.csslider
  > input:nth-of-type(10):checked
  ~ .navigation
  label:nth-of-type(10):after,
.csslider
  > input:nth-of-type(11):checked
  ~ .navigation
  label:nth-of-type(11):after {
  opacity: 1;
}
.csslider > .arrows {
  position: absolute;
  left: -31px;
  top: 50%;
  width: 100%;
  height: 26px;
  padding: 0 31px;
  z-index: 0;
  -moz-box-sizing: content-box;
  -webkit-box-sizing: content-box;
  box-sizing: content-box;
}
.csslider > .arrows label {
  display: none;
  position: absolute;
  top: -50%;
  padding: 13px;
  box-shadow: inset 2px -2px 0 1px #3a3a3a;
  cursor: pointer;
  -moz-transition: box-shadow 0.15s, margin 0.15s;
  -o-transition: box-shadow 0.15s, margin 0.15s;
  -webkit-transition: box-shadow 0.15s, margin 0.15s;
  transition: box-shadow 0.15s, margin 0.15s;
}
.csslider > .arrows label:hover {
  box-shadow: inset 3px -3px 0 2px orange;
  margin: 0 0px;
}
.csslider > .arrows label:before {
  content: "";
  position: absolute;
  top: -100%;
  left: -100%;
  height: 300%;
  width: 300%;
}
.csslider.infinity > input:first-of-type:checked ~ .arrows label.goto-last,
.csslider > input:nth-of-type(1):checked ~ .arrows > label:nth-of-type(0),
.csslider > input:nth-of-type(2):checked ~ .arrows > label:nth-of-type(1),
.csslider > input:nth-of-type(3):checked ~ .arrows > label:nth-of-type(2),
.csslider > input:nth-of-type(4):checked ~ .arrows > label:nth-of-type(3),
.csslider > input:nth-of-type(5):checked ~ .arrows > label:nth-of-type(4),
.csslider > input:nth-of-type(6):checked ~ .arrows > label:nth-of-type(5),
.csslider > input:nth-of-type(7):checked ~ .arrows > label:nth-of-type(6),
.csslider > input:nth-of-type(8):checked ~ .arrows > label:nth-of-type(7),
.csslider > input:nth-of-type(9):checked ~ .arrows > label:nth-of-type(8),
.csslider > input:nth-of-type(10):checked ~ .arrows > label:nth-of-type(9),
.csslider > input:nth-of-type(11):checked ~ .arrows > label:nth-of-type(10) {
  display: block;
  left: 0;
  right: auto;
  -moz-transform: rotate(45deg);
  -ms-transform: rotate(45deg);
  -o-transform: rotate(45deg);
  -webkit-transform: rotate(45deg);
  transform: rotate(45deg);
}
.csslider.infinity > input:last-of-type:checked ~ .arrows label.goto-first,
.csslider > input:nth-of-type(1):checked ~ .arrows > label:nth-of-type(2),
.csslider > input:nth-of-type(2):checked ~ .arrows > label:nth-of-type(3),
.csslider > input:nth-of-type(3):checked ~ .arrows > label:nth-of-type(4),
.csslider > input:nth-of-type(4):checked ~ .arrows > label:nth-of-type(5),
.csslider > input:nth-of-type(5):checked ~ .arrows > label:nth-of-type(6),
.csslider > input:nth-of-type(6):checked ~ .arrows > label:nth-of-type(7),
.csslider > input:nth-of-type(7):checked ~ .arrows > label:nth-of-type(8),
.csslider > input:nth-of-type(8):checked ~ .arrows > label:nth-of-type(9),
.csslider > input:nth-of-type(9):checked ~ .arrows > label:nth-of-type(10),
.csslider > input:nth-of-type(10):checked ~ .arrows > label:nth-of-type(11),
.csslider > input:nth-of-type(11):checked ~ .arrows > label:nth-of-type(12) {
  display: block;
  right: 0;
  left: auto;
  -moz-transform: rotate(225deg);
  -ms-transform: rotate(225deg);
  -o-transform: rotate(225deg);
  -webkit-transform: rotate(225deg);
  transform: rotate(225deg);
}
/*#region MODULES */
/*#endregion */
/*___________________________________ LAYOUT ___________________________________ */
* {
  margin: 0;
  padding: 0;
}
ul {
  padding-left: 40px;
}

#slider1 {
  margin: 20px;
  font-family: "Lato";
}
#slider1 > input:nth-of-type(3):checked ~ ul #bg {
  width: 80%;
  padding: 22px;
  -moz-transition: 0.5s 0.5s;
  -o-transition: 0.5s 0.5s;
  -webkit-transition: 0.5s 0.5s;
  transition: 0.5s 0.5s;
}
#slider1 > input:nth-of-type(3):checked ~ ul #bg div {
  -moz-transform: translate(0);
  -ms-transform: translate(0);
  -o-transform: translate(0);
  -webkit-transform: translate(0);
  transform: translate(0);
  -moz-transition: 0.5s 0.9s;
  -o-transition: 0.5s 0.9s;
  -webkit-transition: 0.5s 0.9s;
  transition: 0.5s 0.9s;
}
/*#videos */
/*___________________________________ LAYOUT ___________________________________ */
video {
  width: 1500px;
  height: 800px;
  -webkit-background-size: cover;
  -moz-background-size: cover;
  -o-background-size: cover;
  background-size: cover;
  box-shadow: 0px 3px 17px -3px rgba(0, 0, 0, 0.36);
  -webkit-box-shadow: 0px 3px 17px -3px rgba(0, 0, 0, 0.36);
  -moz-box-shadow: 0px 3px 17px -3px rgba(0, 0, 0, 0.36);
}

.activityName {
  position: relative;
  text-align: center;
  margin: 20px auto;
  color: white;
  font-family: "Expletus Sans", cursive;
  font-size: 60px;
}

.activityDescription {
  text-align: center;
  color: rgb(1, 110, 110);
  font-size: 25px;
  font-weight: 600;
}

.activityDescriptionLongue {
  text-align: center;
  color: white;
  font-size: 25px;
  margin-top: 50px;
  width: 60%;
}

youtube-player {
  box-shadow: 0px 3px 17px -3px rgba(0, 0, 0, 0.36);
  -webkit-box-shadow: 0px 3px 17px -3px rgba(0, 0, 0, 0.36);
  -moz-box-shadow: 0px 3px 17px -3px rgba(0, 0, 0, 0.36);
}
